Bug 200356 - OOo crashes for searching 'Digital Signatures' help in Chinese UI
OOo crashes for searching 'Digital Signatures' help in Chinese UI
Status: CLOSED DUPLICATE of bug 199907
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 23:17 EDT by Xiaohong Wang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 06:57:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (78.41 KB, image/png)
2006-07-26 23:17 EDT, Xiaohong Wang
no flags Details

  None (edit)
Description Xiaohong Wang 2006-07-26 23:17:55 EDT
Description of problem:


Version-Release number of selected component (if applicable):
openoffice.org-2.0.3-7.5

How reproducible:
always

Steps to Reproduce:
1. Select Chinese (China Mainland) at log in
2. Launch OpenOffice.org Writer, select Help -> OpenOffice.org Help from the
menu bar
2. Input Chinese '数字签名' which means 'Digital Signature' as 'Search term' and
click 'Find' button
  
Actual results:
An error dialog pops up, 'OOo has crashed!: Paste this text into your bugreport'

(I) x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(III) Desktop is: GNOME
(IV) libgcj version is: libgcj-4.1.1-6-i386
(V) kernel is: Linux 2.6.17-1.2358.fc6 #1 SMP Fri Jul 7 04:02:07 EDT 2006 i686
i686 i386
(VI) OpenOffice.org core rpm version is: openoffice.org-core-2.0.3-7.5-i386
(VII) accessibility is: false
(VIII) fedora release is: Fedora Core release 5.90 (Test)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
0x374d780: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e780
0x374dfc0: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1efc0
0xb7f29420:  + 0x420 (__kernel_sigreturn + 0x0)
0x37cfd9: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x50fd9
0x37d006: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x51006 (operator
delete(void*) + 0x26)
0x4048669: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xa669
0x40486ec: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xa6ec
0x404b52d: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xd52d
0x404b55b: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xd55b
0x404b581: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xd581
0x404a225: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xc225
0x4048780: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xa780
0x40487ae: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xa7ae
0x40487cb: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xa7cb
0x40487f4: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xa7f4
0x4048823: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xa823
0x4048848: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xa848
0x4048a2e: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xaa2e
0x40482a8: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xa2a8
0x4048a74: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xaa74
0x4048b1a: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xab1a
0x404ba58: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xda58
0x404a818: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xc818
0x4050694: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0x12694
0x404f407: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0x11407
0x404dff4: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0xfff4
0x4063120: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0x25120
0x405d167: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0x1f167
0x405d357: /usr/lib/openoffice.org2.0/program/libucpchelp1.so + 0x1f357
0x169ba5d: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x81a5d
(ucb::ResultSetImplHelper::init(unsigned char) + 0x3d)
0x169baf0: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x81af0
(ucb::ResultSetImplHelper::getStaticResultSet() + 0x5a)
0x1e1096a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x34496a
(SfxContentHelper::GetResultSet(String const&) + 0x138)
0x1cc3ffb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1f7ffb
(SearchTabPage_Impl::SearchHdl(PushButton*) + 0x235)
0x1cc431a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1f831a
(SearchTabPage_Impl::LinkStubSearchHdl(void*, void*) + 0x1a)
0x366632: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x3a632
(Link::Call(void*) const + 0x16)
0x91e3a2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2c83a2
(Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) +
0x48)
0x91430d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2be30d
(Button::Click() + 0x25)
0x91bbdd: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2c5bdd
(PushButton::Tracking(TrackingEvent const&) + 0x143)
0x911783: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2bb783
(Window::EndTracking(unsigned short) + 0x117)
0x90e198: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2b8198
(ImplHandleMouseEvent(Window*, unsigned short, unsigned char, long, long,
unsigned long, unsigned short, unsigned short) + 0xe98)
0x90fa65: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2b9a65
(ImplHandleSalMouseButtonUp(Window*, SalMouseEvent*) + 0x41)
0x90e6eb: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2b86eb
(ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) + 0x141)
0x2ed5dc4: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x44dc4
(SalFrame::CallCallback(unsigned short, void const*) const + 0x20)
0x2ed35df: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x425df
(GtkSalFrame::signalButton(_GtkWidget*, _GdkEventButton*, void*) + 0x173)
0x42ac380: /usr/lib/libgtk-x11-2.0.so.0 + 0x131380
0x29e3fab: /lib/libgobject-2.0.so.0 + 0x8fab (g_closure_invoke + 0x12b)
0x29f4e73: /lib/libgobject-2.0.so.0 + 0x19e73
0x29f6137: /lib/libgobject-2.0.so.0 + 0x1b137 (g_signal_emit_valist + 0x667)
0x29f6529: /lib/libgobject-2.0.so.0 + 0x1b529 (g_signal_emit + 0x29)
0x43bec68: /usr/lib/libgtk-x11-2.0.so.0 + 0x243c68
0x42a5823: /usr/lib/libgtk-x11-2.0.so.0 + 0x12a823 (gtk_propagate_event + 0x183)
0x42a6a27: /usr/lib/libgtk-x11-2.0.so.0 + 0x12ba27 (gtk_main_do_event + 0x317)
0x27aff7a: /usr/lib/libgdk-x11-2.0.so.0 + 0x41f7a
0x2b19952: /lib/libglib-2.0.so.0 + 0x2b952 (g_main_context_dispatch + 0x182)
0x2b1c92f: /lib/libglib-2.0.so.0 + 0x2e92f
0x2b1ce95: /lib/libglib-2.0.so.0 + 0x2ee95 (g_main_context_iteration + 0x65)
0x2eb8343: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x27343
(GtkXLib::Yield(unsigned char) + 0x4f)
0x2f495a9: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x625a9
(X11SalInstance::Yield(unsigned char) + 0x27)
0x7bbb9e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x165b9e
(Application::Yield() + 0x48)
0x7bbc22: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x165c22
(Application::Execute() + 0x26)
0x3633e9: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x373e9
(desktop::Desktop::Main() + 0x15c1)
0x7bfa8c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x169a8c
(ImplSVMain() + 0x44)
0x7bfb3f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x169b3f (SVMain()
+ 0x2b)
0x35d159: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x31159 (sal_main +
0x5d)
0x35d1a5: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x311a5 (main + 0x27)
0x3a8214: /lib/libc.so.6 + 0x19214 (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4a1

Expected results:


Additional info:
This doesn't happen in English UI if searching 'Digital Signature'
Comment 1 Xiaohong Wang 2006-07-26 23:17:56 EDT
Created attachment 133125 [details]
screenshot
Comment 2 Caolan McNamara 2006-07-27 06:57:34 EDT
Seems good in 2.0.3-7.6, almost certainly a dup of the double free problem which
is making anything happening after using search in help unreliable

*** This bug has been marked as a duplicate of 199907 ***

Note You need to log in before you can comment on or make changes to this bug.